## emptty 0.10.0+git20230608.f02bbdb

=== debian/changelog ===
emptty (0.10.0+git20230608.f02bbdb-1ubuntu0.1) mantic-security; urgency=medium

  * No change rebuild due to golang-1.20, golang-1.21 updates

 -- Nishit Majithia <nishit.majithia@canonical.com>  Fri, 19 Jan 2024 11:24:06 +0530

emptty (0.10.0+git20230608.f02bbdb-1build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:13:52 +1200

emptty (0.10.0+git20230608.f02bbdb-1) unstable; urgency=medium

  * Initial release (Closes: #1036538)

 -- Robert Edmonds <edmonds@debian.org>  Mon, 12 Jun 2023 01:34:52 -0400
