=== debian/changelog ===
emptty (0.11.0-1ubuntu0.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Mon, 23 Jun 2025 14:27:26 +1000

emptty (0.11.0-1ubuntu0.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Wed, 30 Oct 2024 10:35:45 +0100

emptty (0.11.0-1ubuntu0.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Mon, 15 Jul 2024 12:36:58 +0530

emptty (0.11.0-1) unstable; urgency=medium

  * New upstream version 0.11.0

 -- Robert Edmonds <edmonds@debian.org>  Thu, 21 Dec 2023 01:11:04 -0500
