=== debian/control ===
Source: emptty
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Robert Edmonds <edmonds@debian.org>,
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-msteinert-pam-dev,
               libpam0g-dev,
               libx11-dev,
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/emptty
Vcs-Git: https://salsa.debian.org/go-team/packages/emptty.git
Homepage: https://github.com/tvrzna/emptty
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/tvrzna/emptty

Package: emptty
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Built-Using: ${misc:Built-Using},
Description: text-based display manager for starting graphical sessions
 emptty is a simple, text-based display manager for starting Wayland or Xorg
 sessions from a virtual console. It allows interactively choosing a specific
 desktop environment or window manager and remembers the user's selection.
 Custom sessions can optionally be defined system-wide or by the user.
 .
 The emptty package ships a template unit that can be used to start instances
 of emptty on one or more virtual consoles. After installing this package, the
 following command will enable and start emptty on tty8:
 .
 # systemctl enable emptty@tty8.service && systemctl start emptty@tty8.service
 .
 See the documentation in /usr/share/doc/emptty/README.md.gz for details.
