## emptty 0.12.1

=== debian/changelog ===
emptty (0.12.1-1ubuntu0.1) oracular-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Wed, 02 Jul 2025 14:35:26 +1000

emptty (0.12.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.12.1

 -- Taavi Väänänen <taavi@debian.org>  Sat, 08 Jun 2024 02:50:24 +0300

emptty (0.12.0-1) unstable; urgency=medium

  * New upstream version 0.12.0
  * debian/emptty.pam: Update to be more closely based on /etc/pam.d/login

 -- Robert Edmonds <edmonds@debian.org>  Sat, 13 Apr 2024 17:10:14 -0400
