=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
-               golang-github-msteinert-pam-dev,
+               golang-github-msteinert-pam-dev (>= 2.0.0~),
                libpam0g-dev,
                libx11-dev,
 Standards-Version: 4.6.2
