=== debian/changelog ===
emptty (0.13.0-1) unstable; urgency=medium

  * New upstream version 0.13.0
  * debian/control: Bump Standards-Version to 4.7.0 (no changes)

 -- Robert Edmonds <edmonds@debian.org>  Sun, 29 Sep 2024 16:27:46 -0400
