=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: emptty
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Robert Edmonds <edmonds@debian.org>,
 Section: golang
 Testsuite: autopkgtest-pkg-go
@@ -11,7 +10,7 @@
                golang-github-msteinert-pam-dev (>= 2.0.0~),
                libpam0g-dev,
                libx11-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/emptty
 Vcs-Git: https://salsa.debian.org/go-team/packages/emptty.git
 Homepage: https://github.com/tvrzna/emptty
