=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install -- --no-source

execute_before_dh_auto_test:
	# The upstream test suite needs to be able to access its test data.
	mkdir -p _build/src/github.com/tvrzna/emptty
	cp -av res _build/src/github.com/tvrzna/emptty
